#include <rpc/rpc.h>
#include <stdio.h>
#include "hello.h"

void
main(
    int argc,
    char *argv[]
    )
{
	CLIENT *cl;
	char *host;
        char** result;

	if (argc != 2) {
		fprintf(stderr, "usage: %s host\n", argv[0]);
		exit(1);
	}

	host = argv[1];

#ifdef WIN32
	if (rpc_nt_init() < 0) {
	    printf("Count not initialize RPC!\n");
	    exit(1);
	}
#endif

	cl = clnt_create(host, HELLOPROG, HELLOVERS, "tcp");
	if (cl == NULL) {
		clnt_pcreateerror(host);
		exit(1);
	}
	
	result = hello_1(0, cl);
	if (result == NULL) {
		clnt_perror(cl, host);
		exit(1);
	}

	printf("%s says hello:\n%s\n", host, *result);
}
